GROUPMOD(8)

NAME
groupmod - modify a group

SYNOPSIS

groupmod [-g gid [-o ]] [-n new_group_name] group

DESCRIPTION

The groupmod command modifies the system account files to reflect the changes that are specified on the command line.

OPTIONS

The options which apply to the groupmod command are:

-g gid
    The numerical value of the group's ID. This value must be unique, unless the -o option is used. The value must be non-negative. Values between 0 and 999 are typically reserved for system groups. Any files which the old group ID is the file group ID must have the file group ID changed manually.

-n new_group_name
    The name of the group will be changed from group to new_group_name.

FILES

/etc/group
    group account information

/etc/gshadow
    secure group account information

EXIT VALUES

The groupmod command exits with the following values:

0   success

2   invalid command syntax

3   invalid argument to option

4   specified group doesn't exist

6   specified group doesn't exist

9   group name already in use

10  can't update group file

SEE ALSO

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).